> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# تداولات حكومية

<ResponseExample>
  ```json استجابة (200 OK) theme={null}
  {}
  ```

  ```json استجابة (401 غير مصرح به) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "رمز مصادقة غير صالح أو مفقود"
      }
    ]
  }
  ```

  ```json استجابة (404 غير موجود) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "لم يتم العثور على بيانات للمعلمات المحددة"
      }
    ]
  }
  ```

  ```json استجابة (500 خطأ داخلي في الخادم) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "حدث خطأ غير متوقع أثناء معالجة طلبك"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml ar/openapi/calendar-api.spec.yml GET /api/v1/government_trades
openapi: 3.0.0
info:
  contact: {}
  description: >-
    تُعيد واجهة برمجة تطبيقات REST هذه بيانات مُنظَّمة لمكالمات المؤتمرات
    الهاتفية (conference calls)، وتوزيعات الأرباح (dividends)، والأرباح (بما في
    ذلك تواريخ الأرباح المستقبلية)، والبيانات الاقتصادية، وإعلانات شركات
    الأدوية، والتوجيّهات المستقبلية للشركات (guidance)، والاكتتابات العامة
    الأولية (IPOs)، والعروض الثانوية، والتقييمات (ratings)، وأنشطة الاندماجات
    والاستحواذات (M&A)، وتجزيئة الأسهم (splits).
  termsOfService: http://swagger.io/terms/
  title: Calendar API
  version: 2.1.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v1/government_trades:
    get:
      tags:
        - Government Trades
      summary: تداولات الحكومة
      description: >-
        تُرجع صفقات تداول المسؤولين الحكوميين، بما في ذلك المعاملات التي يجريها
        أعضاء مجلس النواب الأمريكي ومجلس الشيوخ
      operationId: get-government-trades
      parameters:
        - description: >-
            إزاحة الصفحة. لأسباب تتعلق بتحسين الأداء واعتبارات تقنية، يتم تقييد
            إزاحة الصفحات بين 0 و100000. قَيِّد نتائج الاستعلام باستخدام معلمات
            أخرى مثل التاريخ. القيمة الافتراضية هي 0
          in: query
          name: page
          schema:
            type: integer
            default: 0
        - description: عدد النتائج المُرجعة. الحد الأقصى 1000
          in: query
          name: pagesize
          schema:
            type: integer
            default: 100
        - description: تاريخ البدء بتنسيق YYYY-MM-DD
          in: query
          name: date_from
          schema:
            type: string
            format: date
        - description: تاريخ الانتهاء بتنسيق YYYY-MM-DD
          in: query
          name: date_to
          schema:
            type: string
            format: date
        - description: >-
            طابع وقت يونكس (UTC) لآخر تحديث للسجلات. سيؤدي ذلك إلى فرض ترتيب فرز
            بحيث تكون القيم أكبر من أو مساوية للطابع الزمني المحدَّد
          in: query
          name: updated_since
          schema:
            type: integer
        - description: التاريخ بتنسيق YYYY-MM-DD
          in: query
          name: date
          schema:
            type: string
            format: date
        - description: غرفة
          in: query
          name: chamber
          schema:
            type: string
            enum:
              - House
              - Senate
        - description: الحقول
          in: query
          name: fields
          schema:
            type: string
        - description: نوع مفاتيح البحث
          in: query
          name: search_keys_type
          schema:
            type: string
            enum:
              - report_id
              - ticker
        - description: مفاتيح البحث
          in: query
          name: search_keys
          schema:
            type: string
      responses:
        '200':
          description: تداولات حكومية
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/calendarapi.GovernmentTradeJSON'
        '400':
          description: طلب غير صالح
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: خطأ داخلي في الخادم
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    calendarapi.GovernmentTradeJSON:
      properties:
        data:
          items:
            additionalProperties: true
            type: object
          type: array
      type: object
    api.ErrorResponse:
      properties:
        text:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````